#include <stdio.h>




int main()

{
	int a,n,t1,t2,nula=0,jedan=1;
	scanf("%d%d",&n,&a);
	if (n<3*a) printf("-1");
	else
	{
		if (n==3*a) printf ("%d:%d\n%d:%d\n%d:%d\n",a,nula,a,nula,a,nula);	
		else 
	{
		if (n%2==0)
		{
			n-=2*a;
			if (n>2*a)
			{
				t1=n/2+1;
				t2=t1-2;
				printf("%d:%d\n%d:%d\n%d:%d\n",a,nula,a,nula,t1,t2);
			}
			else
			{
				t2=n-a;
				printf("%d:%d\n%d:%d\n%d:%d\n",a,nula,a,nula,a,t2);
			}
		}
		else
		{
			n-=2*a;
				if (n>2*a)
				{
					t1=n/2+1;
					t2=t1-2;
					printf("%d:%d\n%d:%d\n%d:%d\n",a,nula,a,jedan,t1,t2);
				}
				else
				{
					t2=n-a;
					printf("%d:%d\n%d:%d\n%d:%d\n",a,nula,a,jedan,a,t2);	
		}
				
			 
		}
	}
	}
	
	return 0;
}